Bug 1569054 - fluentd's NUM_OUTPUTS only takes secure_forward count into account
Summary: fluentd's NUM_OUTPUTS only takes secure_forward count into account
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Noriko Hosoi
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks: 1569544 1569554
TreeView+ depends on / blocked
 
Reported: 2018-04-18 14:39 UTC by François Cami
Modified: 2019-01-30 15:10 UTC (History)
3 users (show)

Fixed In Version: logging-fluentd-docker-v3.9.22-2
Doc Type: Bug Fix
Doc Text:
Cause: We currently compute the number of fluentd outputs in the startup script run.sh. When the forward plugin is configured, it was not correctly counted. Consequence: We miss a number of output when the forward plugin is configured. The number of output is used for calculating the file buffer size and the size gets larger than expected. Fix: The logic of the calculation was fixed to include the forward plugin case. Result: The correct output number then the correct file buffer size is now derived when the forward plugin is configured.
Clone Of:
: 1569544 1569554 (view as bug list)
Environment:
Last Closed: 2019-01-30 15:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin-aggregated-logging pull 1021 0 None None None 2018-04-19 13:18:36 UTC
Red Hat Product Errata RHBA-2019:0098 0 None None None 2019-01-30 15:10:36 UTC

Description François Cami 2018-04-18 14:39:32 UTC
Description of problem:
We currently compute NUM_OUTPUTS using the number of secure_outputs, but core fluentd can use the forward plugin instead, so we can miss a number of outputs.

from fluentd/run.sh:
sec_forward_files=$( grep -l "@type *secure_forward" ${CFG_DIR}/*/* 2> /dev/null || : 
(...)
grep "@type *secure_forward" $afile | while read -r line; do

=>
forward_files=$( grep -l "@type .*forward" ${CFG_DIR}/*/* 2> /dev/null || : )
(...)
grep "@type .*forward" $afile | while read -r line; do

Comment 4 Anping Li 2019-01-21 05:01:49 UTC
The fix is in v3.9.64-4.

Comment 6 errata-xmlrpc 2019-01-30 15:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0098


Note You need to log in before you can comment on or make changes to this bug.